package textures.mobs.rabbit;

import java.awt.image.BufferedImage;

import _texture.loader.Textures;
import utils.Utils;

public class RabbitRunAwayTextures {

	public static void getTextures(BufferedImage image){
		/*** SOUTH IDLE ***/
		Textures.rabbitSheet[64] = Utils.grabSprite(image, 9, 1, 20, 20);
		Textures.rabbitSheet[65] = Utils.grabSprite(image, 10, 1, 20, 20);
		Textures.rabbitSheet[66] = Utils.grabSprite(image, 11, 1, 20, 20);
		Textures.rabbitSheet[67] = Utils.grabSprite(image, 12, 1, 20, 20);

		/*** NORTH IDLE ***/
		Textures.rabbitSheet[68] = Utils.grabSprite(image,9, 2, 20, 20);
		Textures.rabbitSheet[69] = Utils.grabSprite(image,10, 2, 20, 20);
		Textures.rabbitSheet[70] = Utils.grabSprite(image,11, 2, 20, 20);
		Textures.rabbitSheet[71] = Utils.grabSprite(image,12, 2, 20, 20);

		/*** WEST IDLE ***/
		Textures.rabbitSheet[72] = Utils.grabSprite(image,9, 3, 20, 20);
		Textures.rabbitSheet[73] = Utils.grabSprite(image,10, 3, 20, 20);
		Textures.rabbitSheet[74] = Utils.grabSprite(image,11, 3, 20, 20);
		Textures.rabbitSheet[75] = Utils.grabSprite(image,12, 3, 20, 20);

		/*** EAST IDLE ***/
		Textures.rabbitSheet[76] = Utils.reverseImage(Utils.grabSprite(image,9, 3, 20, 20));
		Textures.rabbitSheet[77] = Utils.reverseImage(Utils.grabSprite(image,10, 3, 20, 20));
		Textures.rabbitSheet[78] = Utils.reverseImage(Utils.grabSprite(image,11, 3, 20, 20));
		Textures.rabbitSheet[79] = Utils.reverseImage(Utils.grabSprite(image,12, 3, 20, 20));

		/*** NORTHWEST IDLE ***/
		Textures.rabbitSheet[80] = Utils.grabSprite(image,9, 4, 20, 20);
		Textures.rabbitSheet[81] = Utils.grabSprite(image, 10, 4, 20, 20);
		Textures.rabbitSheet[82] = Utils.grabSprite(image, 11, 4, 20, 20);
		Textures.rabbitSheet[83] = Utils.grabSprite(image, 12, 4, 20, 20);

		/*** NORTHEAST IDLE ***/
		Textures.rabbitSheet[84] = Utils.reverseImage(Utils.grabSprite(image, 9, 4, 20, 20));
		Textures.rabbitSheet[85] = Utils.reverseImage(Utils.grabSprite(image, 10, 4, 20, 20));
		Textures.rabbitSheet[86] = Utils.reverseImage(Utils.grabSprite(image, 11, 4, 20, 20));
		Textures.rabbitSheet[87] = Utils.reverseImage(Utils.grabSprite(image, 12, 4, 20, 20));

		/*** SOUTHWEST IDLE ***/
		Textures.rabbitSheet[88] = Utils.grabSprite(image, 9, 5, 20, 20);
		Textures.rabbitSheet[89] = Utils.grabSprite(image, 10, 5, 20, 20);
		Textures.rabbitSheet[90] = Utils.grabSprite(image, 11, 5, 20, 20);
		Textures.rabbitSheet[91] = Utils.grabSprite(image, 12, 5, 20, 20);

		/*** SOUTHEAST IDLE ***/
		Textures.rabbitSheet[92] = Utils.reverseImage(Utils.grabSprite(image, 9, 5, 20, 20));
		Textures.rabbitSheet[93] = Utils.reverseImage(Utils.grabSprite(image, 10, 5, 20, 20));
		Textures.rabbitSheet[94] = Utils.reverseImage(Utils.grabSprite(image, 11, 5, 20, 20));
		Textures.rabbitSheet[95] = Utils.reverseImage(Utils.grabSprite(image, 12, 5, 20, 20));
	}
	
}
